## IpatchSampleStoreFile IpatchSampleStoreFile — Sample store object type for audio in files on disk |

## Stability Level

Stable, unless otherwise indicated

## Synopsis

                        IpatchSampleStoreFile;
    #define             IPATCH_SAMPLE_STORE_FILE_UNUSED_FLAG_SHIFT
    IpatchSample *      ipatch_sample_store_file_new        (IpatchFile *file,
                                                             guint location);

## Object Hierarchy

      GObject
       +----IpatchItem
             +----IpatchSampleStore
                   +----IpatchSampleStoreFile
                         +----IpatchSampleStoreSplit24
                         +----IpatchSampleStoreSwap

## Implemented Interfaces

IpatchSampleStoreFile implements IpatchSample.

## Properties

      "file"                     IpatchFile*           : Read / Write / Construct Only
      "location"                 guint                 : Read / Write / Construct Only

## Description

## Details

### IpatchSampleStoreFile

    typedef struct _IpatchSampleStoreFile IpatchSampleStoreFile;

### IPATCH_SAMPLE_STORE_FILE_UNUSED_FLAG_SHIFT

    #define             IPATCH_SAMPLE_STORE_FILE_UNUSED_FLAG_SHIFT

### ipatch_sample_store_file_new ()

    IpatchSample *      ipatch_sample_store_file_new        (IpatchFile *file,
                                                             guint location);

Creates a new file sample store.

`file` : | File object to use for file sample store
`location` : | Location in file of audio data
Returns : | New file sample store, cast as a IpatchSample for convenience.

## Property Details

### The `"file"` property

      "file"                     IpatchFile*           : Read / Write / Construct Only

File object.

### The `"location"` property

      "location"                 guint                 : Read / Write / Construct Only

Sample data file location.

Default value: 0